public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [rpms/php-league-mime-type-detection] f43: v1.17.0
@ 2026-07-10 7:12 Remi Collet
0 siblings, 0 replies; only message in thread
From: Remi Collet @ 2026-07-10 7:12 UTC (permalink / raw)
To: git-commits
A new commit has been pushed.
Repo : rpms/php-league-mime-type-detection
Branch : f43
Commit : 976b42ee4500bdb7ba15a1cc3ac62bc312202ecd
Author : Remi Collet <remi@fedoraproject.org>
Date : 2026-07-10T09:12:30+02:00
Stats : +60/-31 in 5 file(s)
URL : https://src.fedoraproject.org/rpms/php-league-mime-type-detection/c/976b42ee4500bdb7ba15a1cc3ac62bc312202ecd?branch=f43
Log:
v1.17.0
(cherry picked from commit 0179003efeb092ddc2b1ee8cc416d0d1a444b36c)
---
diff --git a/.gitignore b/.gitignore
index 686d376..2e3e48b 100644
--- a/.gitignore
+++ b/.gitignore
@@ -10,3 +10,4 @@
/php-league-mime-type-detection-1.14.0-b6a5854.tgz
/php-league-mime-type-detection-1.15.0-ce0f4d1.tgz
/php-league-mime-type-detection-1.16.0-2d6702f.tgz
+/php-league-mime-type-detection-1.17.0.tgz
diff --git a/makesrc.sh b/makesrc.sh
index 37cb6a2..f2a2aed 100755
--- a/makesrc.sh
+++ b/makesrc.sh
@@ -4,25 +4,24 @@ NAME=$(basename $PWD)
OWNER=$(sed -n '/^%global gh_owner/{s/.* //;p}' $NAME.spec)
PROJECT=$(sed -n '/^%global gh_project/{s/.* //;p}' $NAME.spec)
VERSION=$(sed -n '/^Version:/{s/.* //;p}' $NAME.spec)
-COMMIT=$(sed -n '/^%global gh_commit/{s/.* //;p}' $NAME.spec)
-SHORT=${COMMIT:0:7}
-echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION\n"
+if [ -f $NAME-$VERSION.tgz ]; then
+ echo "$NAME-$VERSION.tgz already there"
+else
+ echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION \n"
-echo "Cloning..."
-rm -rf $PROJECT-$COMMIT
-git clone https://github.com/$OWNER/$PROJECT.git $PROJECT-$COMMIT
+ echo "Cloning..."
+ rm -rf $PROJECT-$VERSION
+ git clone https://github.com/$OWNER/$PROJECT.git --depth 1 --branch $VERSION $PROJECT-$VERSION || exit 1
-echo "Getting commit..."
-pushd $PROJECT-$COMMIT
-git checkout $COMMIT
-cp composer.json ../composer.json
-popd
+ echo "Getting composer..."
+ cp $PROJECT-$VERSION/composer.json composer.json
-echo "Archiving..."
-tar czf $NAME-$VERSION-$SHORT.tgz --exclude-vcs $PROJECT-$COMMIT
+ echo "Archiving..."
+ tar czf $NAME-$VERSION.tgz --exclude-vcs $PROJECT-$VERSION
-echo "Cleaning..."
-rm -rf $PROJECT-$COMMIT
+ echo "Cleaning..."
+ rm -rf $PROJECT-$VERSION
-echo "Done."
+ echo "Done."
+fi
diff --git a/php-league-mime-type-detection-tests.patch b/php-league-mime-type-detection-tests.patch
new file mode 100644
index 0000000..da97f61
--- /dev/null
+++ b/php-league-mime-type-detection-tests.patch
@@ -0,0 +1,22 @@
+From fbe2f055b991d0172c8db90d8f3334cb6c6a7a90 Mon Sep 17 00:00:00 2001
+From: Remi Collet <remi@remirepo.net>
+Date: Thu, 9 Jul 2026 15:04:23 +0200
+Subject: [PATCH] avoid test failure because of array order
+
+---
+ src/GeneratedExtensionToMimeTypeMapTest.php | 2 ++
+ 1 file changed, 2 insertions(+)
+
+diff --git a/src/GeneratedExtensionToMimeTypeMapTest.php b/src/GeneratedExtensionToMimeTypeMapTest.php
+index 14fb908..1f26975 100644
+--- a/src/GeneratedExtensionToMimeTypeMapTest.php
++++ b/src/GeneratedExtensionToMimeTypeMapTest.php
+@@ -68,6 +68,8 @@ public function looking_up_extensions(string $mimeType, array $expectedExtension
+ $actual = $map->lookupAllExtensions($mimeType);
+
+ // assert
++ sort($expectedExtensions);
++ sort($actual);
+ $this->assertEquals($expectedExtensions, $actual);
+ }
+
diff --git a/php-league-mime-type-detection.spec b/php-league-mime-type-detection.spec
index c5c477e..a96414f 100644
--- a/php-league-mime-type-detection.spec
+++ b/php-league-mime-type-detection.spec
@@ -1,14 +1,12 @@
# remirepo/fedora spec file for php-league-mime-type-detection
#
-# Copyright (c) 2020-2024 Remi Collet
-# License: CC-BY-SA-4.0
-# http://creativecommons.org/licenses/by-sa/4.0/
+# SPDX-FileCopyrightText: Copyright 2020-2026 Remi Collet
+# SPDX-License-Identifier: CECILL-2.1
+# http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
#
# Please, preserve the changelog entries
#
# Github
-%global gh_commit 2d6702ff215bf922936ccc1ad31007edc76451b9
-%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner thephpleague
%global gh_project mime-type-detection
# Packagist
@@ -19,27 +17,29 @@
%global ns_project MimeTypeDetection
Name: php-%{pk_vendor}-%{pk_name}
-Version: 1.16.0
-Release: 3%{?dist}
+Version: 1.17.0
+Release: 1%{?dist}
Summary: Mime-type detection for Flysystem
License: MIT
URL: https://github.com/%{gh_owner}/%{gh_project}
-Source0: %{name}-%{version}-%{gh_short}.tgz
+Source0: %{name}-%{version}.tgz
# Create git snapshot as tests are excluded from official tarball
Source1: makesrc.sh
+Patch0: %{name}-tests.patch
+
BuildArch: noarch
BuildRequires: php(language) >= 7.4
BuildRequires: php-fileinfo
BuildRequires: php-json
# From composer.json, "require-dev": {
-# "phpunit/phpunit": "^8.5.8 || ^9.3 || ^10.0",
+# "phpunit/phpunit": "^8.5.8 || ^9.3 || ^10.0 || ^11.0 || ^12.0",
# "phpstan/phpstan": "^0.12.68",
# "friendsofphp/php-cs-fixer": "^3.2"
-BuildRequires: phpunit10
-%global phpunit %{_bindir}/phpunit10
+BuildRequires: phpunit11
+%global phpunit %{_bindir}/phpunit11
# Autoloader
BuildRequires: php-fedora-autoloader-devel
@@ -64,7 +64,8 @@ Autoloader: %{_datadir}/php/%{ns_vendor}/%{ns_project}/autoload.php
%prep
-%setup -q -n %{gh_project}-%{gh_commit}
+%setup -q -n %{gh_project}-%{version}
+%patch -P0 -p1
%build
@@ -96,10 +97,10 @@ sed -e 's/PHPStan\\Testing\\TestCase/PHPUnit\\Framework\\TestCase/' -i src/Overr
: Run upstream test suite
# the_generated_map_should_be_up_to_date is online
ret=0
-for cmdarg in "php %{phpunit}" php81 php82 php83 php84; do
+for cmdarg in "php %{phpunit}" php82 php83 php84 php85 php86; do
if which $cmdarg; then
set $cmdarg
- $1 ${2:-%{_bindir}/phpunit10} \
+ $1 ${2:-%{_bindir}/phpunit11} \
--filter '^((?!(the_generated_map_should_be_up_to_date)).)*$' \
--no-coverage \
|| ret=1
@@ -117,6 +118,12 @@ exit $ret
%changelog
+* Thu Jul 9 2026 Remi Collet <remi@remirepo.net> - 1.17.0-1
+- update to 1.17.0
+- re-license spec file to CECILL-2.1
+- fix test suite using patch from
+ https://github.com/thephpleague/mime-type-detection/pull/42
+
* Fri Jul 25 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.16.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild
diff --git a/sources b/sources
index 915e9f8..c5169c1 100644
--- a/sources
+++ b/sources
@@ -1 +1 @@
-SHA512 (php-league-mime-type-detection-1.16.0-2d6702f.tgz) = eb3a3b431ecccffad18391a108246e929d77cbd0debedf6c6f3879e96b12e7eb1f04a8f7fbae4a915dd537721e035505b132bb9ee6599fdfa9a42ee8cdd45ad1
+SHA512 (php-league-mime-type-detection-1.17.0.tgz) = 444d11db9dd2c732cc6c669651197018574117c4dda6de5c6ec3d6929f786d3a6a6db8c50a7c7beea0aa32edb464b13f359725a4879d8834289e83764d9f6765
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2026-07-10 7:12 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-07-10 7:12 [rpms/php-league-mime-type-detection] f43: v1.17.0 Remi Collet
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox